# Truck's updated 2016 tmux config

# fix the prefix to control-a and remap control-a to work like screen
set -g prefix C-a
unbind C-b
bind-key a send-prefix
bind-key C-a last-window

# faster response
set -sg escape-time 0

# colors woot
set -g default-terminal "screen-256color"

# 1-based window numbering
set -g base-index 1
setw -g pane-base-index 1

# reloader
bind r source-file ~/.tmux.conf \; display "Ok! I'm Reloaded!"

# splittage
bind | split-window -h
bind - split-window -v

# I dunno about this vi shit, yeah fuck that, be more awesome.
# wasd. cuz.
bind C-w select-pane -U
bind C-a select-pane -L
bind C-s select-pane -D
bind C-d select-pane -R

# Resize
bind -r W resize-pane -U 5
bind -r A resize-pane -L 5
bind -r S resize-pane -D 5
bind -r D resize-pane -R 5

# now that messed up d/D, so redo them on e/E
bind -r E choose-client
bind -r e detach-client

# cycle thru windows, which seems... no. bullshit. that is p and n. period.

#initial mouse on
set -g mouse on

# choose colors wisely! why the fuck did I say that
set -g status-fg colour202
set -g status-bg colour17
set -g window-status-fg colour184
set -g window-status-bg colour234

# pane colors

set -g pane-border-bg colour238
set -g pane-border-fg colour249
set -g pane-active-border-bg colour029
set -g pane-active-border-fg colour023

# message colors

set -g message-bg colour214
set -g message-fg colour022

#status bar
# H-hostname, h, hostname without domain  ##- a #
# Window:
# F - Flag, I - Index  T- Title  W - Name
# Pane index: P  Screen index: S
# #(shell command result line 1)
#[colorchangestuffs]

# if not using powerline

set -g status-left-length 40
set-window-option -g status-left "Sn:#S "
set-window-option -g status-left-fg colour166
set-window-option -g status-left-bg colour239
set-window-option -g status-right "[#F] #H %H:%M %Y/%m/%e %Z"
set-window-option -g status-right-fg colour254
set-window-option -g status-right-bg colour236
set-window-option -g window-status-format " #I: {#D-#W} "
set-window-option -g window-status-current-format " #I: {#D-#W} "
set-window-option -g window-status-current-fg green
set-window-option -g window-status-current-bg black

# if using powerline
#include ~/.local/lib/python2.7/site-packages/powerline/tmux/powerline.conf

setw -g monitor-activity on
set -g visual-activity on

set -g status-justify left

# mouse fixin's

# toggle mousemode on/off

bind m \
 set -g mouse on\; \
 display 'M: ON'

bind M \
 set -g mouse off \; \
 display 'M: OFF'

# my compose script
bind C-v command-prompt -p compose "if '~/bin/tmuxcompose/compose.py \\%% | tmux load-buffer -' 'pasteb -d' 'display notfound'"
